import { OnInit } from '@angular/core';
import { Icon } from '../../enum/icon.enum';
import { IconCacheService } from '../../service/icon-cache.service';
import { DropshipmentInfo } from '@colijnit/transactionapi/build/model/dropshipment-info';
import { TransactionService } from '../../service/transaction.service';
import { TransactionDialogService } from '../../service/transaction-dialog.service';
export declare class DropShipmentComponent implements OnInit {
    iconCacheService: IconCacheService;
    transactionService: TransactionService;
    private _dialogService;
    showClass(): boolean;
    showDropShipmentDialog: boolean;
    dropShipmentInfo: DropshipmentInfo;
    allDropShipmentAddresses: DropshipmentInfo[];
    existingDropShipmentAddresses: DropshipmentInfo[];
    searchTerm: string;
    readonly icons: typeof Icon;
    constructor(iconCacheService: IconCacheService, transactionService: TransactionService, _dialogService: TransactionDialogService);
    ngOnInit(): Promise<void>;
    openDropShipmentDialog(): void;
    saveDropShipment(): void;
    handleSearch(searchTerm: string): void;
    private _objectContainsTerm;
}
